namespace ServiceBase;

/// <summary>
/// EEMS UI -> EEMS Server
/// </summary>
public interface IUICaller
{
    Task<bool> RequestDeviceLists();
}

/// <summary>
/// EEMS Server -> EEMS UI
/// </summary>
public interface IUIProvider
{
    Task<bool> UpdateDeviceList(IEnumerable<DeviceInfo> device);
    Task<bool> UpdateDevice(DeviceInfo device);
}

public enum FileType : byte
{
    Config,
    Recipe
}